commit:     d969579642f6abd6846bf188e7b5161d5618f7eb
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 15 01:55:03 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 15 02:03:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9695796

sys-devel/autogen: drop use of which

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-devel/autogen/autogen-5.18.16-r4.ebuild        | 76 ++++++++++++++++++++++
 .../autogen/files/autogen-5.18.16-no-which.patch   | 15 +++++
 2 files changed, 91 insertions(+)

diff --git a/sys-devel/autogen/autogen-5.18.16-r4.ebuild 
b/sys-devel/autogen/autogen-5.18.16-r4.ebuild
new file mode 100644
index 000000000000..d767e53a32bf
--- /dev/null
+++ b/sys-devel/autogen/autogen-5.18.16-r4.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic autotools toolchain-funcs
+
+DESCRIPTION="Program and text file generation"
+HOMEPAGE="https://www.gnu.org/software/autogen/";
+SRC_URI="
+       mirror://gnu/${PN}/rel${PV}/${P}.tar.xz
+       
https://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=blob_plain;f=lib/verify.h;h=3b57ddee0acffd23cc51bc8910a15cf879f90619;hb=537a5511ab0b1326e69b32f87593a50aedb8a589
 -> ${P}-gnulib-3b57ddee0acffd23cc51bc8910a15cf879f90619-lib-verify.h
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="libopts static-libs"
+
+RDEPEND="
+       >=dev-scheme/guile-2.0:=
+       dev-libs/libxml2
+"
+DEPEND="${RDEPEND}"
+
+# We don't pass the flag explicitly, bug #796776.
+# Let's fix it upstream after next autogen release if it happens.
+QA_CONFIGURE_OPTIONS+=" --enable-snprintfv-convenience"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-5.18.16-no-werror.patch
+       "${FILESDIR}"/${PN}-5.18.16-rpath.patch
+       "${FILESDIR}"/${PN}-5.18.16-respect-TMPDIR.patch
+       "${FILESDIR}"/${PN}-5.18.16-make-4.3.patch
+       "${FILESDIR}"/${PN}-5.18.16-guile-3.patch
+       "${FILESDIR}"/${PN}-5.18.16-configure-c99.patch
+       "${FILESDIR}"/${PN}-5.18.16-FORTIFY_SOURCE.patch
+       "${FILESDIR}"/${PN}-5.18.16-no-which.patch
+)
+
+src_prepare() {
+       default
+
+       # missing tarball file
+       cp 
"${DISTDIR}"/${P}-gnulib-3b57ddee0acffd23cc51bc8910a15cf879f90619-lib-verify.h 
autoopts/verify.h || die
+
+       # May be able to drop this on next release (>5.18.16)
+       eautoreconf
+}
+
+src_configure() {
+       # suppress possibly incorrect -R flag
+       export ag_cv_test_ldflags=
+
+       # autogen requires run-time sanity of regex and string functions.
+       # Use defaults of linux-glibc until we need somethig more advanced.
+       if tc-is-cross-compiler ; then
+               export ag_cv_run_strcspn=no
+               export libopts_cv_with_libregex=yes
+       fi
+
+       # bug 920174
+       use elibc_musl && append-cppflags -D_LARGEFILE64_SOURCE
+
+       econf $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+
+       find "${ED}" -name '*.la' -delete || die
+
+       if ! use libopts ; then
+               rm "${ED}"/usr/share/autogen/libopts-*.tar.gz || die
+       fi
+}

diff --git a/sys-devel/autogen/files/autogen-5.18.16-no-which.patch 
b/sys-devel/autogen/files/autogen-5.18.16-no-which.patch
new file mode 100644
index 000000000000..c4b462cba420
--- /dev/null
+++ b/sys-devel/autogen/files/autogen-5.18.16-no-which.patch
@@ -0,0 +1,15 @@
+--- a/configure.ac
++++ b/configure.ac
+@@ -149,9 +149,9 @@ GDnam=getdefs${ac_exeext}
+ CLnam=columns${ac_exeext}
+ if test "X$cross_compiling" = Xyes
+ then
+-  AGexe=`which ${AGnam}`
+-  GDexe=`which ${GDnam}`
+-  CLexe=`which ${CLnam}`
++  AGexe=`command -v ${AGnam}`
++  GDexe=`command -v ${GDnam}`
++  CLexe=`command -v ${CLnam}`
+ else
+   AGexe=${ag_top_builddir}/agen5/${AGnam}
+   GDexe=${ag_top_builddir}/getdefs/${GDnam}

Reply via email to